3G 3.1.3, 05.12.01 Question

Discussion in 'Jailbreaks and iOS Hacks' started by SavMBP15, Dec 2, 2010.

  1. SavMBP15 macrumors 6502

    Joined:
    Mar 26, 2010
    #1
    I'm jailbroke and unlocked on my 3G 3.1.3, 05.12.01 baseband phone.

    Here are my facts:

    - I have a Mac and AT&T sim (U.S. iPhone)
    - I have a custom IPSW of 4.2.1 built using Pwnage 4.1.3
    - I still have a custom IPSW for 3.1.3

    Here is my question. If I upgrade and unlock with my custom IPSW for 4.2.1 in order to preserve my baseband, if I want to downgrade back to 3.1.3 is it just a simple matter of restoring using the custom IPSW I already have for 3.1.3?

    On my Cydia page I only have SHSH's saved for 4.0, 4.01 and 4.1. I believe this is because Cydia did not start doing it for 3G phones until 4.0. Either way I should be fine, correct?

    Thanks,
    Matt
     
  2. PsstGreek macrumors 68040

    PsstGreek

    Joined:
    Oct 21, 2010
    Location:
    Tampa Bay
    #2
    Yep. You should be absolutely fine. Just when you upgrade with Pwnage make sure you don't upgrade your baseband to the iPad one. Click "no" when Pwnage asks you.

    If you wanted to downgrade back to 3.1.3 you can. Downgrading from 4.x.x to 3.x.x doesn't require the shsh blobs.
     
  3. SavMBP15 thread starter macrumors 6502

    Joined:
    Mar 26, 2010
    #3
    Thanks PsstGreek.
     
  4. PsstGreek macrumors 68040

    PsstGreek

    Joined:
    Oct 21, 2010
    Location:
    Tampa Bay
    #4
    No problem:apple:
     

Share This Page